<?php

namespace CreoCode\ContaoPopup\Models;

/**
 * Class PopupModel 
 */
class PopupModel extends \Model {

    /**
     * Name of the table
     * @var string
     */
    protected static $strTable = 'tl_popup';


    /**
	 * Find published popup by their parent ID
	 * 
	 * @param integer $intId      The popup sets ID
	 * @param integer $intLimit   An optional limit
	 * @param array   $arrOptions An optional options array
	 * 
	 * @return \Model\Collection|null A collection of models or null if there are no popup
	 */
	public static function findPublishedByPid($intId, $intLimit=0, array $arrOptions=array())
	{
		$time = time();
		$t = static::$strTable;

		$arrColumns = array("$t.pid=? AND ($t.start='' OR $t.start<$time) AND ($t.stop='' OR $t.stop>$time) AND $t.published=1");

		if (!isset($arrOptions['order']))
		{
			$arrOptions['order'] = "$t.sorting ASC";
		}

		if ($intLimit > 0)
		{
			$arrOptions['limit'] = $intLimit;
		}

		return static::findBy($arrColumns, $intId, $arrOptions);
	}
        
}
