<?php

namespace CreoCode\ContaoPopup\Models;

/**
 * Class PopupSetModel
 */
class PopupSetModel extends \Model {

    /**
     * Name of the table
     * @var string
     */
    protected static $strTable = 'tl_popup_set';

    /**
     * Find multiple popup sets by their IDs
     * 
     * @param array $arrIds     An array of archive IDs
     * @param array $arrOptions An optional options array
     * 
     * @return \Model\Collection|null A collection of models or null if there are no popup sets
     */
    public static function findMultipleByIds($arrIds, array $arrOptions=array()) {
        if (!is_array($arrIds) || empty($arrIds)) {
            return null;
        }

        $t = static::$strTable;

        if (!isset($arrOptions['order'])) {
            $arrOptions['order'] = \Database::getInstance()->findInSet("$t.id", $arrIds);
        }

        return static::findBy(array("$t.id IN(" . implode(',', array_map('intval', $arrIds)) . ")"), null, $arrOptions);
    }

}
