<?php

use Contao\CoreBundle\DataContainer\PaletteManipulator;

/**
 * Add the fields to tl_page
 */
$GLOBALS['TL_DCA']['tl_page']['fields']['popup_set'] = array
(
    'label' => &$GLOBALS['TL_LANG']['tl_page']['popup_set'],
    'exclude' => true,
    'inputType' => 'radio',
    'options_callback' => array('tl_page_conversionplus', 'getPopupSets'),
    'eval' => array('mandatory' => false, 'includeBlankOption' => true, 'tl_class' => 'clr'),
    'sql' => "blob NULL"
);


PaletteManipulator::create()
    ->addLegend('popup_legend', PaletteManipulator::POSITION_BEFORE)
    ->addField('popup_set', 'popup_legend', PaletteManipulator::POSITION_APPEND)
    ->applyToPalette('rootfallback', 'tl_page')
;


class tl_page_conversionplus extends Backend {

    /**
     * Import the back end user object
     */
    public function __construct() {
        parent::__construct();
        $this->import('BackendUser', 'User');
    }

    /**
     * Get all packages sets and return them as array
     * @return array
     */
    public function getPopupSets() {
        if (!$this->User->isAdmin && !is_array($this->User->popup)) {
            return array();
        }

        $arrSets = array();
        $objSets = $this->Database->execute("SELECT id, title FROM tl_popup_set ORDER BY title");
        //$arrSets[0] = 'Empty';

        while ($objSets->next()) {
            if ($this->User->isAdmin || $this->User->hasAccess($objSets->id, 'popup')) {
                $arrSets[$objSets->id] = $objSets->title;
            }
        }

        return $arrSets;
    }

}
